OGRE: Ogre::Degree Class Reference - OGRE Documentation

# Ogre::Degree Class Reference

Wrapper class which indicates a given angle value is in Degrees. More...

`#include <OgreMath.h>`

List of all members.

## Public Member Functions
| Degree (Real d=0)
| Degree (const Radian &r)
Degree & | operator= (const Real &f)
Degree & | operator= (const Degree &d)
Degree & | operator= (const Radian &r)
Real | valueDegrees () const
Real | valueRadians () const
Real | valueAngleUnits () const
const Degree & | operator+ () const
Degree | operator+ (const Degree &d) const
Degree | operator+ (const Radian &r) const
Degree & | operator+= (const Degree &d)
Degree & | operator+= (const Radian &r)
Degree | operator- () const
Degree | operator- (const Degree &d) const
Degree | operator- (const Radian &r) const
Degree & | operator-= (const Degree &d)
Degree & | operator-= (const Radian &r)
Degree | operator* (Real f) const
Degree | operator* (const Degree &f) const
Degree & | operator*= (Real f)
Degree | operator/ (Real f) const
Degree & | operator/= (Real f)
bool | operator< (const Degree &d) const
bool | operator<= (const Degree &d) const
bool | operator== (const Degree &d) const
bool | operator!= (const Degree &d) const
bool | operator>= (const Degree &d) const
bool | operator> (const Degree &d) const
## Private Attributes
Real | mDeg
## Friends
_OgreExport friend std::ostream & | operator<< (std::ostream &o, const Degree &v)

## Detailed Description

Wrapper class which indicates a given angle value is in Degrees.

Remarks:
  Degree values are interchangeable with Radian values, and conversions will be done automatically between them.

Definition at line 92 of file OgreMath.h.

## Constructor & Destructor Documentation

Ogre::Degree::Degree | ( | Real | d = `0` | ) | `[explicit]`

Definition at line 97 of file OgreMath.h.

Referenced by operator*(), operator+(), operator-(), and operator/().

Ogre::Degree::Degree | ( | const Radian & | r | ) |

Definition at line 98 of file OgreMath.h.

## Member Function Documentation

Degree& Ogre::Degree::operator= | ( | const Real & | f | ) |

Definition at line 99 of file OgreMath.h.

References mDeg.

Degree& Ogre::Degree::operator= | ( | const Degree & | d | ) |

Definition at line 100 of file OgreMath.h.

References mDeg.

Degree& Ogre::Degree::operator= | ( | const Radian & | r | ) |

Definition at line 101 of file OgreMath.h.

References mDeg, and Ogre::Radian::valueDegrees().

Real Ogre::Degree::valueDegrees | ( |  | ) | const

Definition at line 103 of file OgreMath.h.

References mDeg.

Referenced by Ogre::Math::Abs(), Ogre::operator*(), Ogre::operator/(), Ogre::Math::Sign(), and Ogre::Math::Sqrt().

Real Ogre::Degree::valueRadians | ( |  | ) | const

Definition at line 595 of file OgreMath.h.

References Ogre::Math::DegreesToRadians(), and mDeg.

Referenced by Ogre::Radian::operator+(), Ogre::Radian::operator+=(), Ogre::Radian::operator-(), Ogre::Radian::operator-=(), Ogre::Radian::operator=(), and Ogre::AnimableValue::setAsBaseValue().

Real Ogre::Degree::valueAngleUnits | ( |  | ) | const

Definition at line 600 of file OgreMath.h.

References Ogre::Math::DegreesToAngleUnits(), and mDeg.

Referenced by Ogre::StringConverter::toString().

const Degree& Ogre::Degree::operator+ | ( |  | ) | const

Definition at line 107 of file OgreMath.h.

Degree Ogre::Degree::operator+ | ( | const Degree & | d | ) | const

Definition at line 108 of file OgreMath.h.

References Degree(), and mDeg.

Degree Ogre::Degree::operator+ | ( | const Radian & | r | ) | const

Definition at line 109 of file OgreMath.h.

References Degree(), mDeg, and Ogre::Radian::valueDegrees().

Degree& Ogre::Degree::operator+= | ( | const Degree & | d | ) |

Definition at line 110 of file OgreMath.h.

References mDeg.

Degree& Ogre::Degree::operator+= | ( | const Radian & | r | ) |

Definition at line 111 of file OgreMath.h.

References mDeg, and Ogre::Radian::valueDegrees().

Degree Ogre::Degree::operator- | ( |  | ) | const

Definition at line 112 of file OgreMath.h.

References Degree(), and mDeg.

Degree Ogre::Degree::operator- | ( | const Degree & | d | ) | const

Definition at line 113 of file OgreMath.h.

References Degree(), and mDeg.

Degree Ogre::Degree::operator- | ( | const Radian & | r | ) | const

Definition at line 114 of file OgreMath.h.

References Degree(), mDeg, and Ogre::Radian::valueDegrees().

Degree& Ogre::Degree::operator-= | ( | const Degree & | d | ) |

Definition at line 115 of file OgreMath.h.

References mDeg.

Degree& Ogre::Degree::operator-= | ( | const Radian & | r | ) |

Definition at line 116 of file OgreMath.h.

References mDeg, and Ogre::Radian::valueDegrees().

Degree Ogre::Degree::operator* | ( | Real | f | ) | const

Definition at line 117 of file OgreMath.h.

References Degree(), and mDeg.

Degree Ogre::Degree::operator* | ( | const Degree & | f | ) | const

Definition at line 118 of file OgreMath.h.

References Degree(), and mDeg.

Degree& Ogre::Degree::operator*= | ( | Real | f | ) |

Definition at line 119 of file OgreMath.h.

References mDeg.

Degree Ogre::Degree::operator/ | ( | Real | f | ) | const

Definition at line 120 of file OgreMath.h.

References Degree(), and mDeg.

Degree& Ogre::Degree::operator/= | ( | Real | f | ) |

Definition at line 121 of file OgreMath.h.

References mDeg.

bool Ogre::Degree::operator< | ( | const Degree & | d | ) | const

Definition at line 123 of file OgreMath.h.

References mDeg.

bool Ogre::Degree::operator<= | ( | const Degree & | d | ) | const

Definition at line 124 of file OgreMath.h.

References mDeg.

bool Ogre::Degree::operator== | ( | const Degree & | d | ) | const

Definition at line 125 of file OgreMath.h.

References mDeg.

bool Ogre::Degree::operator!= | ( | const Degree & | d | ) | const

Definition at line 126 of file OgreMath.h.

References mDeg.

bool Ogre::Degree::operator>= | ( | const Degree & | d | ) | const

Definition at line 127 of file OgreMath.h.

References mDeg.

bool Ogre::Degree::operator> | ( | const Degree & | d | ) | const

Definition at line 128 of file OgreMath.h.

References mDeg.

## Friends And Related Function Documentation

_OgreExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const Degree & | v |
| ) |  |  | `[friend]`

Definition at line 131 of file OgreMath.h.

## Member Data Documentation

Real Ogre::Degree::mDeg`[private]`

Definition at line 94 of file OgreMath.h.

Referenced by operator!=(), operator*(), operator*=(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator<(), operator<=(), operator=(), operator==(), operator>(), operator>=(), valueAngleUnits(), valueDegrees(), and valueRadians().

The documentation for this class was generated from the following file:

- OgreMath.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:34:00 2009